Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Static Public Member Functions
Lucene::VariantUtils Class Reference

`#include <VariantUtils.h>`

## Static Public Member Functions

template<typename TYPE>
static TYPE | get (const boost::any &var)
template<typename TYPE, typename VAR>
static TYPE | get (VAR var)
template<typename TYPE, typename VAR>
static bool | typeOf (VAR var)
static VariantNull | null ()
static bool | isNull (const boost::any &var)
template<typename VAR>
static bool | isNull (VAR var)
template<typename VAR>
static int32_t | hashCode (VAR var)
template<typename FIRST, typename SECOND>
static bool | equalsType (FIRST first, SECOND second)
template<typename FIRST, typename SECOND>
static bool | equals (FIRST first, SECOND second)
template<typename VAR>
static int32_t | compareTo (VAR first, VAR second)

## Member Function Documentation

## ◆ compareTo()

template<typename VAR>

int32_t Lucene::VariantUtils::compareTo | ( | VAR | first,
|  | VAR | second )

inline static

## ◆ equals()

template<typename FIRST, typename SECOND>

bool Lucene::VariantUtils::equals | ( | FIRST | first,
|  | SECOND | second )

inline static

## ◆ equalsType()

template<typename FIRST, typename SECOND>

bool Lucene::VariantUtils::equalsType | ( | FIRST | first,
|  | SECOND | second )

inline static

## ◆ get() [1/2]

template<typename TYPE>

TYPE Lucene::VariantUtils::get | ( | const boost::any & | var | ) |

inline static

Referenced by hashCode().

## ◆ get() [2/2]

template<typename TYPE, typename VAR>

TYPE Lucene::VariantUtils::get | ( | VAR | var | ) |

inline static

## ◆ hashCode()

template<typename VAR>

int32_t Lucene::VariantUtils::hashCode | ( | VAR | var | ) |

inline static

References Lucene::MiscUtils::doubleToLongBits(), get(), Lucene::StringUtils::hashCode(), hashCode(), and typeOf().

Referenced by hashCode().

## ◆ isNull() [1/2]

bool Lucene::VariantUtils::isNull | ( | const boost::any & | var | ) |

inline static

## ◆ isNull() [2/2]

template<typename VAR>

bool Lucene::VariantUtils::isNull | ( | VAR | var | ) |

inline static

References typeOf().

## ◆ null()

VariantNull Lucene::VariantUtils::null | ( |  | ) |

inline static

## ◆ typeOf()

template<typename TYPE, typename VAR>

bool Lucene::VariantUtils::typeOf | ( | VAR | var | ) |

inline static

Referenced by hashCode(), and isNull().

The documentation for this class was generated from the following file:

- VariantUtils.h

clucene.sourceforge.net